System Global Type/Long Job Operations
POSTLong Job OperationsSince 2.3SynchronousAuth Required
SubmitLongJob
SubmitLongJob
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
jobNameStringRequiredThe job name.
jobDataStringRequiredThe job data.
resourceUuidStringOptional. The resource UUID.
targetResourceUuidStringOptional. The UUID of the target resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/longjobs
/zstack/v1/longjobs
Request Example
curl -X POST 'http://{host}/zstack/v1/longjobs' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","jobName":"<jobName>","jobData":"<jobData>","resourceUuid":"<resourceUuid>","targetResourceUuid":"<targetResourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "23598186b9ef35aa89fbebf8f04d497a" } }Change History
This API has no change history records yet.
